Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 223780 - gpm wakes up every 2 seconds to poll the console, even in runlevel 5
Summary: gpm wakes up every 2 seconds to poll the console, even in runlevel 5
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gpm
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Tomas Janousek
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On: 205064
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-22 13:42 UTC by Tomas Janousek
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-13 20:38:49 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Tomas Janousek 2007-01-22 13:42:14 UTC
+++ This bug was initially created as a clone of Bug #205064 +++

Description of problem:

GPM wakes up every 2 seconds to poll the console, even when in runlevel 5. This
is causing spurious wakeups which cause less powersaving than possible. 

gpm does the polling since in X mode gpm has to be inactive, so it is waiting
for X to go away / the user to switch to text mode. It polls for this every 2
seconds.

I question the usefulness of gpm (in default install!) in runlevel 5, but if it
has to stay, the attached patch slightly modifies gpm such that the wakeup will
happen at exactly the second tick (where it will coincide with other similar
wakups in other programs such as hal) and not cause a
wakeup-from-powermanagement-sleep all on it's own.

-- Additional comment from arjan@linux.intel.com on 2006-09-03 04:18 EST --
Created an attachment (id=135455)
patch to round the 2 second sleep up to a full wallclock second boundary


-- Additional comment from arjan@linux.intel.com on 2006-10-09 11:06 EST --
ping?

any ideas why gpm is even started in runlevel 5?

-- Additional comment from prockai@redhat.com on 2006-10-09 15:24 EST --
Sorry, no, no idea, if it was for me, i'd just scrap it as it is :). I can 
apply the patch, although it is probably still somewhat suboptimal to have gpm 
running at all. If there are no objections i'll drop it from runlevel 5.

Comment 1 Tomas Janousek 2007-01-22 13:44:56 UTC
The patch for 172921 further enhances the patch for this one, therefore I'd like
to fix this one as well.

Comment 2 Tomas Janousek 2007-04-13 20:38:49 UTC
Not true any more -> Closing.
If anyone wants this fixed in 4.5, feel free to reopen :)


Note You need to log in before you can comment on or make changes to this bug.